<?php require_once( 'admin/cms.php' ); ?>
<cms:template title='Mail Tests' order='1' executable='0' clonable='0'>
<cms:editable order='1' type='text' name='mail_from' label='From' required='0' >sender@domain.com</cms:editable>
<cms:editable order='2' type='text' name='mail_to' label='To' required='0' >receiver@domain.com</cms:editable>
<cms:editable order='3' type='text' name='mail_number' label='Number of Mails' required='0' >10</cms:editable>
<cms:editable order='4' type='text' name='mail_subject' label='Subject' required='0' >Testmail</cms:editable>
<cms:editable order='5' type='textarea' name='mail_content' label='Mail Content (HTML)' required='0' >
<div class="details" style="max-width: 800px;margin: auto;font-size: 16px;line-height: 20px;font-family: Arial, sans-serif;color: #404040;">
	<table cellpadding="0" cellspacing="0" style="width: 100%;line-height: inherit;text-align: left;font-family: Arial, sans-serif;">
		<tr class="text">
			<td style="padding: 5px;vertical-align: top;">
				<table style="width: 100%;line-height: inherit;text-align: left;font-family: Arial, sans-serif;">
					<tr>
						<td style="padding: 5px;vertical-align: top;text-align: left;">
							<p>Sehr geehrter Herr Testermann </p>
							<p>Wir freuen uns, Ihnen eine neue Anfrage einer interessierten Person in Ihrer Region zukommen zu lassen. Gerne möchten wir Sie bitten, die Person innerhalb maximal 3 Tagen zu kontaktieren. Der Kunde hat uns die folgenden Daten angegeben:  </p>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr class="text">
			<td style="padding: 5px;vertical-align: top;">
				<table style="width: 100%;line-height: inherit;text-align: left;font-family: Arial, sans-serif;">
					<tr>
						<td class="bold" style="padding: 5px;vertical-align: top;font-weight: bold;text-align: left;">
							Zusammenfassung der Anfrage vom 05.05.2016 (Anfrage-ID: 9565655)
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr class="information">
			<td style="padding: 5px;vertical-align: top;">
				<table style="width: 100%;line-height: inherit;text-align: left;font-family: Arial, sans-serif;border: 1px solid #ddd;">
					<tr class="heading">
						<td colspan="4" style="padding: 5px;vertical-align: top;background: #0d8609;color: #ffffff;border-bottom: 1px solid #ddd;font-weight: bold;">
							Kontaktdaten
						</td>
					</tr>
					<tr class="item">
						<td class="label" style="padding: 5px;vertical-align: top;white-space: nowrap;text-align: right;font-size: 80%;color: #909090;border-bottom: 1px solid #eee;">
							Vorname / Name
						</td>
						<td class="data bold" style="padding: 5px;vertical-align: top;font-weight: bold;color: #404040;border-bottom: 1px solid #eee;">
							Herr Max Mustermann
						</td>
						<td class="label" style="padding: 5px;vertical-align: top;white-space: nowrap;text-align: right;font-size: 80%;color: #909090;border-bottom: 1px solid #eee;">
							Telefon
						</td>
						<td class="data bold" style="padding: 5px;vertical-align: top;font-weight: bold;color: #404040;border-bottom: 1px solid #eee;">
							XXX XXX XX XX
						</td>
					</tr>
					<tr class="item">
						<td class="label" style="padding: 5px;vertical-align: top;white-space: nowrap;text-align: right;font-size: 80%;color: #909090;border-bottom: 1px solid #eee;">
							Adresse
						</td>
						<td class="data bold" style="padding: 5px;vertical-align: top;font-weight: bold;color: #404040;border-bottom: 1px solid #eee;">
							Im Strässchen 12
						</td>
						<td class="label" style="padding: 5px;vertical-align: top;white-space: nowrap;text-align: right;font-size: 80%;color: #909090;border-bottom: 1px solid #eee;">
							E-Mailadresse
						</td>
						<td class="data bold" style="padding: 5px;vertical-align: top;font-weight: bold;color: #404040;border-bottom: 1px solid #eee;">
							max.mustermann@domain.com
						</td>
					</tr>
					<tr class="item">
						<td class="label" style="padding: 5px;vertical-align: top;white-space: nowrap;text-align: right;font-size: 80%;color: #909090;border-bottom: 1px solid #eee;">
							PLZ / Ort
						</td>
						<td class="data bold" style="padding: 5px;vertical-align: top;font-weight: bold;color: #404040;border-bottom: 1px solid #eee;">
							9000 St. Gallen
						</td>
						<td class="label" style="padding: 5px;vertical-align: top;white-space: nowrap;text-align: right;font-size: 80%;color: #909090;border-bottom: 1px solid #eee;">
							Erreichbarkeit
						</td>
						<td class="data bold" style="padding: 5px;vertical-align: top;font-weight: bold;color: #404040;border-bottom: 1px solid #eee;">
							Werktag - Abends (18-21 Uhr)
						</td>
					</tr>
					<tr class="item last">
						<td class="label" style="padding: 5px;vertical-align: top;white-space: nowrap;text-align: right;font-size: 80%;color: #909090;border-bottom: none;padding-bottom: 25px;">
							Notizen
						</td>
						<td class="data" colspan="3" style="padding: 5px;vertical-align: top;color: #404040;border-bottom: none;padding-bottom: 25px;">
							Erreichbarkeit tagsüber, am Besten gegen Abend<br />
							Objekt ist von ca. 2000, wird in den nächsten 1-3 Jahren saniert (Aussenisolation, etc.)
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr class="text">
			<td style="padding: 5px;vertical-align: top;">
				<table style="width: 100%;line-height: inherit;text-align: left;font-family: Arial, sans-serif;">
					<tr>
						<td style="padding: 5px;vertical-align: top;text-align: left;">
							<p>
								Freundliche Grüsse,<br />
								Ihr Serviceteam
							</p>
							<p>
								Telefon: XXX XXX XX XX<br />
								E-Mail: <a href="mailto:sender@domain.com">sender@domain.com</a>
							</p>
							<p>
								Domain.com | Domain Inc. | Bahnhofstrasse 1 | 9000 St. Gallen
							</p>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</div>
</cms:editable>
</cms:template>

<cms:set action="<cms:gpc 'action' />" scope='global' />

<html>

<head>
	<meta charset=&quot;utf-8&quot;/>
</head>

<body>

	<h1>Mail-Content</h1>
	<cms:show mail_content/>
	<h2>Details</h2>
	<p>
		<b>From:</b> <cms:show mail_from /><br/>
		<b>Subject:</b> <cms:show mail_subject />
	</p>
	<h2>Sent to</h2>
	<p>
		<cms:repeat count=mail_number startcount='1' >
			<cms:set subject="<cms:show mail_subject /> Nr. <cms:show k_count /> (<cms:date format='d.m.Y h:i:s' />)" scope='global' />
			<cms:send_mail from=mail_from to=mail_to html='1' subject=subject debug='1'>
				<!doctype html>
				<html>
					
				<head>
					<meta charset=&quot;utf-8&quot;/>
				</head>

				<body>
					<cms:show mail_content />
				</body>

				</html>
			</cms:send_mail>
			<b>To:</b> <cms:show mail_to /> / <b>Subject:</b> <cms:show subject /><br/>
		</cms:repeat>
	</p>
	<br/>
	<br/>
	<br/>
	<br/>

</body>

</html>


<?php COUCH::invoke(); ?>